Runtime

## org.eclipse.gmf.runtime.common.ui.action
Class ActionManagerChangeEvent

    java.lang.Object
      java.util.EventObject
          org.eclipse.gmf.runtime.common.ui.action.ActionManagerChangeEvent

All Implemented Interfaces:
  java.io.Serializable

public class ActionManagerChangeEvent
extends java.util.EventObject

Represent an event that is fired when an action manager changes. Instances of this class have an associated action manager (the source of the event) and action (the action that was run).

See Also:
  `IActionManagerChangeListener`, Serialized Form

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`ActionManagerChangeEvent(ActionManager source)` Constructs a new action manager change event for the specified action manager.
`ActionManagerChangeEvent(ActionManager source, IActionWithProgress action)` Constructs a new action manager change event for the specified action manager and action.

Method Summary
`IActionWithProgress` `getAction()` Retrieves the value of the `action` instance variable.
`protected void` `setSource(ActionManager source)` Sets the `source` instance variable to the specified value.

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ActionManagerChangeEvent

    public ActionManagerChangeEvent(ActionManager source)

  Constructs a new action manager change event for the specified action manager.

Parameters:
  `source` - The action manager that changed.

### ActionManagerChangeEvent

    public ActionManagerChangeEvent(ActionManager source,
                                    IActionWithProgress action)

  Constructs a new action manager change event for the specified action manager and action.

Parameters:
  `source` - The action manager that changed.
  `action` - The action that has been run.

Method Detail

### getAction

    public IActionWithProgress getAction()

  Retrieves the value of the `action` instance variable.

  Returns:
    The value of the `action` instance variable.

### setSource

    protected void setSource(ActionManager source)

  Sets the `source` instance variable to the specified value.

  Parameters:
    `source` - The new value for the `source` instance variable.

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.